<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Interface org.apache.commons.configuration2.HierarchicalConfiguration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.commons.configuration2.HierarchicalConfiguration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/class-use/HierarchicalConfiguration.html" target="_top">Frames</a></li>
<li><a href="HierarchicalConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.commons.configuration2.HierarchicalConfiguration" class="title">Uses of Interface<br>org.apache.commons.configuration2.HierarchicalConfiguration</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.beanutils">org.apache.commons.configuration2.beanutils</a></td>
<td class="colLast">
<div class="block">
 In this package a <code>Configuration</code> implementation can be found that
 implements the <code>DynaBean</code> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.plist">org.apache.commons.configuration2.plist</a></td>
<td class="colLast">
<div class="block">
 Configuration classes supporting NeXT / OpenStep /GNUStep style configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a> in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that implement <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a>&lt;T&gt;</span></code>
<div class="block">
 A specialized configuration class that extends its base class by the ability
 of keeping more structure in the stored properties.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/AbstractYAMLBasedConfiguration.html" title="class in org.apache.commons.configuration2">AbstractYAMLBasedConfiguration</a></span></code>
<div class="block">
 A base class for configuration implementations based on YAML structures.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a></span></code>
<div class="block">
 A specialized hierarchical configuration implementation that is based on a
 structure of <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree"><code>ImmutableNode</code></a> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a></span></code>
<div class="block">
 A hierarchical composite configuration class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html" title="class in org.apache.commons.configuration2">DynamicCombinedConfiguration</a></span></code>
<div class="block">
 DynamicCombinedConfiguration allows a set of CombinedConfigurations to be
 used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/INIConfiguration.html" title="class in org.apache.commons.configuration2">INIConfiguration</a></span></code>
<div class="block">
 A specialized hierarchical configuration implementation for parsing ini
 files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/JSONConfiguration.html" title="class in org.apache.commons.configuration2">JSONConfiguration</a></span></code>
<div class="block">
 A specialized hierarchical configuration class that is able to parse JSON
 documents.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html" title="class in org.apache.commons.configuration2">PatternSubtreeConfigurationWrapper</a></span></code>
<div class="block">Wraps a BaseHierarchicalConfiguration and allows subtrees to be accessed via a configured path with
 replaceable tokens derived from the ConfigurationInterpolator.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/SubnodeConfiguration.html" title="class in org.apache.commons.configuration2">SubnodeConfiguration</a></span></code>
<div class="block">
 A specialized hierarchical configuration class with a node model that uses a
 tracked node of another node model as its root node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/XMLConfiguration.html" title="class in org.apache.commons.configuration2">XMLConfiguration</a></span></code>
<div class="block">
 A specialized hierarchical configuration class that is able to parse XML
 documents.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/YAMLConfiguration.html" title="class in org.apache.commons.configuration2">YAMLConfiguration</a></span></code>
<div class="block">
 A specialized hierarchical configuration class that is able to parse YAML
 documents.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that return <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#configurationAt-java.lang.String-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="type parameter in HierarchicalConfiguration">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html#configurationAt-java.lang.String-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns a hierarchical subnode configuration for the node specified by
 the given key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DynamicCombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#configurationAt-java.lang.String-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationAt-java.lang.String-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns a hierarchical subnode configuration for the node specified by
 the given key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#configurationAt-java.lang.String-boolean-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
               boolean&nbsp;supportUpdates)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="type parameter in HierarchicalConfiguration">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html#configurationAt-java.lang.String-boolean-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
               boolean&nbsp;supportUpdates)</code>
<div class="block">
 Returns a hierarchical sub configuration object that wraps the
 configuration node specified by the given key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DynamicCombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#configurationAt-java.lang.String-boolean-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
               boolean&nbsp;supportUpdates)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationAt-java.lang.String-boolean-">configurationAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
               boolean&nbsp;supportUpdates)</code>
<div class="block">
 Returns a hierarchical sub configuration object that wraps the
 configuration node specified by the given key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ConfigurationUtils.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/ConfigurationUtils.html#convertToHierarchical-org.apache.commons.configuration2.Configuration-">convertToHierarchical</a></span>(<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;conf)</code>
<div class="block">Converts the passed in configuration to a hierarchical one.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ConfigurationUtils.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/ConfigurationUtils.html#convertToHierarchical-org.apache.commons.configuration2.Configuration-org.apache.commons.configuration2.tree.ExpressionEngine-">convertToHierarchical</a></span>(<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;conf,
                     <a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree">ExpressionEngine</a>&nbsp;engine)</code>
<div class="block">Converts the passed in <code>Configuration</code> object to a
 hierarchical one using the specified <code>ExpressionEngine</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfigurationXMLReader.html" title="type parameter in HierarchicalConfigurationXMLReader">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfigurationXMLReader.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfigurationXMLReader.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Returns the configuration object to be parsed.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that return types with arguments of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="type parameter in HierarchicalConfiguration">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-">childConfigurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns a list with sub configurations for all child nodes of the node
 selected by the given key.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-">childConfigurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns a list with sub configurations for all child nodes of the node
 selected by the given key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="type parameter in HierarchicalConfiguration">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-boolean-">childConfigurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                     boolean&nbsp;supportUpdates)</code>
<div class="block">Returns a list with sub configurations for all child nodes of the node
 selected by the given key allowing the caller to specify the
 <code>supportUpdates</code> flag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-boolean-">childConfigurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                     boolean&nbsp;supportUpdates)</code>
<div class="block">Returns a list with sub configurations for all child nodes of the node
 selected by the given key allowing the caller to specify the
 <code>supportUpdates</code> flag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#configurationsAt-java.lang.String-">configurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="type parameter in HierarchicalConfiguration">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html#configurationsAt-java.lang.String-">configurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns a list of sub configurations for all configuration nodes selected
 by the given key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DynamicCombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#configurationsAt-java.lang.String-">configurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationsAt-java.lang.String-">configurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns a list of sub configurations for all configuration nodes selected
 by the given key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="type parameter in HierarchicalConfiguration">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html#configurationsAt-java.lang.String-boolean-">configurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                boolean&nbsp;supportUpdates)</code>
<div class="block">Returns a list of sub configurations for all configuration nodes selected
 by the given key allowing the caller to specify the
 <code>supportUpdates</code> flag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationsAt-java.lang.String-boolean-">configurationsAt</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                boolean&nbsp;supportUpdates)</code>
<div class="block">Returns a list of sub configurations for all configuration nodes selected
 by the given key allowing the caller to specify the
 <code>supportUpdates</code> flag.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalConfigurationXMLReader.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfigurationXMLReader.html#setConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">setConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfigurationXMLReader.html" title="type parameter in HierarchicalConfigurationXMLReader">T</a>&gt;&nbsp;config)</code>
<div class="block">Sets the configuration object to be parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/ImmutableHierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableHierarchicalConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">ConfigurationUtils.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/ConfigurationUtils.html#unmodifiableConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">unmodifiableConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;c)</code>
<div class="block">Creates an <code>ImmutableHierarchicalConfiguration</code> from the given
 <code>HierarchicalConfiguration</code> object.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/AbstractYAMLBasedConfiguration.html#AbstractYAMLBasedConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">AbstractYAMLBasedConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>AbstractYAMLBasedConfiguration</code> as a
 copy of the specified configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#BaseHierarchicalConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">BaseHierarchicalConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>BaseHierarchicalConfiguration</code> and
 copies all data contained in the specified configuration into the new
 one.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfigurationXMLReader.html#HierarchicalConfigurationXMLReader-org.apache.commons.configuration2.HierarchicalConfiguration-">HierarchicalConfigurationXMLReader</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfigurationXMLReader.html" title="type parameter in HierarchicalConfigurationXMLReader">T</a>&gt;&nbsp;config)</code>
<div class="block">Creates a new instance of <code>HierarchicalConfigurationXMLReader</code> and
 sets the configuration to be parsed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/INIConfiguration.html#INIConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">INIConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>INIConfiguration</code> with the
 content of the specified <code>HierarchicalConfiguration</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/JSONConfiguration.html#JSONConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">JSONConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>JSONConfiguration</code> as a copy of the
 specified configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#PatternSubtreeConfigurationWrapper-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-">PatternSubtreeConfigurationWrapper</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;config,
                                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Constructor</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/XMLConfiguration.html#XMLConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">XMLConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>XMLConfiguration</code> and copies the
 content of the passed in configuration into this object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/YAMLConfiguration.html#YAMLConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">YAMLConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>YAMLConfiguration</code> as a copy of the
 specified configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.beanutils">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a> in <a href="../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a> that return <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">XMLBeanDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Returns the configuration object this bean declaration is based on.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a> with parameters of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#XMLBeanDeclaration-org.apache.commons.configuration2.HierarchicalConfiguration-">XMLBeanDeclaration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;T&gt;&nbsp;config)</code>
<div class="block">Creates a new instance of <code>XMLBeanDeclaration</code> and
 initializes it from the given configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#XMLBeanDeclaration-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-">XMLBeanDeclaration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;T&gt;&nbsp;config,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Creates a new instance of <code>XMLBeanDeclaration</code> and initializes it
 from the given configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#XMLBeanDeclaration-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-boolean-">XMLBeanDeclaration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;T&gt;&nbsp;config,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                  boolean&nbsp;optional)</code>
<div class="block">Creates a new instance of <code>XMLBeanDeclaration</code> and initializes it
 from the given configuration supporting optional declarations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#XMLBeanDeclaration-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-boolean-java.lang.String-">XMLBeanDeclaration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;T&gt;&nbsp;config,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                  boolean&nbsp;optional,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defBeanClsName)</code>
<div class="block">Creates a new instance of <code>XMLBeanDeclaration</code> and initializes it
 from the given configuration supporting optional declarations and a
 default bean class name.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a> in <a href="../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that return <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getDefinitionConfiguration--">getDefinitionConfiguration</a></span>()</code>
<div class="block">Returns the configuration containing the definition of the combined
 configuration to be created.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that return types with arguments of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingCombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html#createXMLDefinitionBuilder-org.apache.commons.configuration2.builder.BuilderParameters-">createXMLDefinitionBuilder</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;builderParams)</code>
<div class="block">Creates a default builder for the definition configuration and
 initializes it with a parameters object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#createXMLDefinitionBuilder-org.apache.commons.configuration2.builder.BuilderParameters-">createXMLDefinitionBuilder</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;builderParams)</code>
<div class="block">Creates a default builder for the definition configuration and
 initializes it with a parameters object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getDefinitionBuilder--">getDefinitionBuilder</a></span>()</code>
<div class="block">Returns the <code>ConfigurationBuilder</code> which creates the definition
 configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html#getDefinitionBuilder--">getDefinitionBuilder</a></span>()</code>
<div class="block">Returns the <code>ConfigurationBuilder</code> object for obtaining the
 definition configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#setupDefinitionBuilder-java.util.Map-">setupDefinitionBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Obtains the <code>ConfigurationBuilder</code> object which provides access to
 the configuration containing the definition of the combined configuration
 to create.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> with parameters of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#configureEntityResolver-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.builder.XMLBuilderParametersImpl-">configureEntityResolver</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                       <a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a>&nbsp;xmlParams)</code>
<div class="block">Creates and initializes a default <code>EntityResolver</code> if the
 definition configuration contains a corresponding declaration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initFileSystem-org.apache.commons.configuration2.HierarchicalConfiguration-">initFileSystem</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</code>
<div class="block">Creates and initializes a default <code>FileSystem</code> if the definition
 configuration contains a corresponding declaration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initSystemProperties-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-">initSystemProperties</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;basePath)</code>
<div class="block">Handles a file with system properties that may be defined in the
 definition configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#registerConfiguredLookups-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.Configuration-">registerConfiguredLookups</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;defConfig,
                         <a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;resultConfig)</code>
<div class="block">Processes custom <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol"><code>Lookup</code></a> objects that might be declared in the
 definition configuration.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> with type arguments of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="type parameter in CombinedBuilderProperties">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedBuilderProperties.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#setDefinitionBuilder-org.apache.commons.configuration2.builder.ConfigurationBuilder-">setDefinitionBuilder</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;&nbsp;builder)</code>
<div class="block">Sets the <code>ConfigurationBuilder</code> for the definition configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedBuilderParametersImpl</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html#setDefinitionBuilder-org.apache.commons.configuration2.builder.ConfigurationBuilder-">setDefinitionBuilder</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;&nbsp;builder)</code>
<div class="block">Sets the <code>ConfigurationBuilder</code> for the definition configuration.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> with parameters of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#ConfigurationDeclaration-org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder-org.apache.commons.configuration2.HierarchicalConfiguration-">ConfigurationDeclaration</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a>&nbsp;builder,
                        <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</code>
<div class="block">Creates a new instance of <code>ConfigurationDeclaration</code> and
 initializes it.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.plist">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a> in <a href="../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a> that implement <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html" title="class in org.apache.commons.configuration2.plist">PropertyListConfiguration</a></span></code>
<div class="block">NeXT / OpenStep style configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/XMLPropertyListConfiguration.html" title="class in org.apache.commons.configuration2.plist">XMLPropertyListConfiguration</a></span></code>
<div class="block">Property list file (plist) in XML FORMAT as used by Mac OS X (http://www.apple.com/DTDs/PropertyList-1.0.dtd).</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a> with parameters of type <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#PropertyListConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">PropertyListConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>PropertyListConfiguration</code> and
 copies the content of the specified configuration into this object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/XMLPropertyListConfiguration.html#XMLPropertyListConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">XMLPropertyListConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;configuration)</code>
<div class="block">Creates a new instance of <code>XMLPropertyListConfiguration</code> and
 copies the content of the specified configuration into this object.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/class-use/HierarchicalConfiguration.html" target="_top">Frames</a></li>
<li><a href="HierarchicalConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
